package com.fjhx.service.tda;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.tda.TdaApplication;
import com.fjhx.params.tda.TdaApplicationVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-21
 */
public interface TdaApplicationService extends BaseService<TdaApplication> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(TdaApplicationVo tdaApplicationVo);

    void delete(TdaApplicationVo tdaApplicationVo);

    List<Map<String, Object>> getList();

    Map<String, Object> details(TdaApplicationVo tdaApplicationVo);

}
